<?php
/************************************************************
Program         Sorg Monitor
Filename        config.php
Version         1.01
Last update     07/12/2005

Send bug reports to unreal@slashorg.net
************************************************************/

/********************
  Language stuff
********************/
//$default_lang = 'fr_FR';
$default_lang = 'en_US';

/********************
  MySQL stuff
********************/
$db_access['host'] = 'localhost';
$db_access['database'] = 'sorgmon';
$db_access['username'] = 'root';
$db_access['password'] = '';

/********************
  Admin stuff
********************/
$admin['username'] = 'root';
$admin['password'] = 'admin';

// Require admin login.
// '0' -> only delete.php requires login
// '1' -> Summary is also protected
// '2' -> Graphs & delete.php are protected, but not summary
// '3' ->  All pages are protected
$require_login = 0; 

/********************
  Graph stuff
********************/
// Default host to monitor. Leave empty for no default host. URL must start with http://
$default_url = '';

// Auto-refresh graphs (in minutes). '0' disables refreshing.
$graph_refresh = 5; 

// Default span on graphs in hours
$graph_span = 10; 

// Default "Back" and "Next" buttons, in hours
$graph_nav = 5; 

// Automatically delete old stats after X weeks. '0' disables pruning.
$prune_freq = 1;

/********************
  Mail stuff
********************/
// Important note: this feature requires MySQL 4.1 or better for subqueries.
// Send downtime reports to (leave empty not to send any reports):
$email['to'] = '';
$email['subject'] = 'Downtime warning!';

// Number of consecutive failures before sending email
$email['req_fail'] = 12;
?>
