<?php
/************************************************************
Program         Sorg Monitor
Filename        update.php
Version         1.01
Last update     07/12/2005

Send bug reports to unreal@slashorg.net
************************************************************/


if (isset ($_SERVER['HTTP_USER_AGENT'])) {
	echo ('<center><h2>Browser access to this script is not allowed.</h2></center>');
	exit();
}

// Include
require_once ('inc/inc_functions.php');
require_once ('config.php');
require_once ('inc/inc_mysql.php');
require_once ('lang/'.$default_lang.'.php');

// Inits
$err = 0;
$timestamp = time();

// Get URL
if ($_SERVER['argv'][1]) {
	$param = explode('=', $_SERVER['argv'][1]);
	if ($param[0] == 'url')
		$get_url = $param[1];
	else
		exit();
} else {
	$get_url = $default_url;
}

// No URL?
if (!$get_url)
        exit();

// Wait a random amount of time (0 to 30 seconds)
// This is to prevent multiple requests starting at exactly the same time
sleep(rand(0, 30));

// Objet definitions
$debug = new cg_debug;
$db = new MySQL($db_access['host'], $db_access['database'], $db_access['username'], $db_access['password']);


$debug->start_timer();

$str = @file_get_contents ($get_url);


if ($str === false) {
	$err = true;
	$total_time = 0;
} else {
	$total_time = $debug->stop_timer();
}

$get_url = addslashes($get_url);

$q0 = $db->query("INSERT INTO data VALUES ('', '$get_url', '$timestamp', '$total_time', '$err')");

// Email reports
// Requires MySQL version >= 4.1 for subqueries
if ($email['to']) {
	$q0 = $db->query("SELECT sum(failure) as sum_failure FROM (SELECT failure, url FROM data WHERE url = '$get_url' ORDER BY id DESC LIMIT ${email['req_fail']}) as data");
	$var = $db->assoc($q0);

	if ($var['sum_failure'] == $email['req_fail']) {
		$message = $lang['host_down']."\n\n".$lang['host'].$get_url."\n".$lang['date'].date('d/m/Y '.$lang['at']. ' H:i:s', $timestamp);
		mail ($email['to'], $email['subject'], $message);
	}
}


$q0 = $db->close();
?>
